Page MenuHomePhabricator

[X86] AMD Bobcat CPU (btver1) doesn't support XSAVE
ClosedPublic

Authored by RKSimon on Feb 27 2016, 12:34 PM.

Details

Summary

btver1 is a SSSE3/SSE4a only CPU - it doesn't have AVX and doesn't support XSAVE.

This looks like some kind of copy+paste error from bdver1?

Diff Detail

Event Timeline

RKSimon updated this revision to Diff 49298.Feb 27 2016, 12:34 PM
RKSimon retitled this revision from to [X86] AMD Bobcat CPU (btver1) doesn't support XSAVE .
RKSimon updated this object.
RKSimon added reviewers: craig.topper, spatel, andreadb.
RKSimon set the repository for this revision to rL LLVM.
RKSimon added a subscriber: cfe-commits.
ygao added a subscriber: ygao.Mar 1 2016, 12:36 PM
ygao added inline comments.
lib/Basic/Targets.cpp
2774 ↗(On Diff #49552)

Is this line necessary? Line#3027 below in the same file says that xsaveopt already implies xsave.

RKSimon updated this revision to Diff 49552.Mar 1 2016, 2:34 PM

Thanks - I've removed adding XSAVE to btver2, as long as nobody thinks we need to keep it to be explicit?

craig.topper accepted this revision.Mar 4 2016, 9:35 AM
craig.topper edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 4 2016, 9:35 AM
This revision was automatically updated to reflect the committed changes.